GPX und KML mit OpenStreetMap WordPress Plugin V5.4.4

Das WP OSM Plugin wurde mit der Version 5.4.4 freigeben und bringt zwei Punkte:

  • Bei der Autocenterfunktion für GPX und KML files kann nun auch der maximale Zoomlevel gesetzt werden
  • PHP 7.3 Fehlermeldungen wurden behoben

Der maximale Zoomlevel kann vor allem dann wichtig sein, wenn zB in einer KML Datei nur ein Marker ist und daher zu weit in die Karte gezoomt wird – wie in folgendem Beispiel:

[*osm_map_v3 map_center="autolat,autolon" zoom="autozoom" width="95%" height="300" map_border="thin solid orange" file_list="../../../../wp-content/uploads/osm_map/OSM_03.kml"]

Hier kann man nun händisch im Shortcode beim Argument zoom einen maximalen zoomlevel angeben – im Biespiel also statt “autozoom” den Wert “13”:

[*osm_map_v3 map_center="autolat,autolon" zoom="13" width="95%" height="300" map_border="thin solid orange" file_list="../../../../wp-content/uploads/osm_map/OSM_03.kml"]

Der Shortcode zum Einbinden wird mit dem WP OSM Plugin shortcode generator erzeugt, dennoch können einige manuelle Schritte notwendig sein. Christian hat in einem Artikel Hürden und Tips zusammengefasst – sehr lesenswert:

TravelMap mit dem WP OSM Plugin

Content not available.
Please allow cookies by clicking Accept on the banner

Wer zusätzlich auch ein Tutorial auf Youtube möchte, soll am besten den WP OSM Plugin Kanal abonieren und beim Youtube Kanal einen Kommentar hinterlassen:

WordPress OpenStreetMap Plugin Youtube

 

 

Posted in announcement
Tags: , , , ,
2 comments on “GPX und KML mit OpenStreetMap WordPress Plugin V5.4.4
  1. Carl Schoch says:

    All the tabs on the plugin interface are not working. For example, nothing happens when I click on “urban”, “camping” or “Misc”, or on any of the mapping option tabs. I cannot place a marker on the map or generate a shortcode. Please help. I have used the plugin successfully for the last year but this issue appeared today. Otherwise its an excellent tool. Thanks!

    • Mi Ka says:

      Hello Carl,

      we need more information … which Editor do you use (Gutenberg or Classic), did you change or update something when it stopped working?

      Br, MiKa

Leave a Reply

Your email address will not be published. Required fields are marked *

*

By continuing to use the site, you agree to the use of cookies and load data from third parties. more information

The cookie settings on this website are set to "allow cookies" to give you the best browsing experience possible. If you continue to use this website without changing your cookie settings or you click "Accept" below then you are consenting to this.

Close